public inbox for gcc-patches@gcc.gnu.org
 help / color / mirror / Atom feed
* [PATCH] libstdc++: Add script to update docs for a new release branch
@ 2024-06-25 23:02 Jonathan Wakely
  2024-06-26 20:27 ` Jonathan Wakely
  0 siblings, 1 reply; 4+ messages in thread
From: Jonathan Wakely @ 2024-06-25 23:02 UTC (permalink / raw)
  To: libstdc++, gcc-patches

This script automates some updates that should be made when branching
from trunk. Putting them in a script makes it much easier and means I
won't forget what should be done.

Any suggestions for doing this differently?

Anything I've forgotten that should be added here?

We could add an entry to the lists of versions at
https://gcc.gnu.org/onlinedocs/libstdc++/manual/abi.html#abi.versioning.goals
but that should really be done when bumping the libtool version, not
when branching from trunk.

-- >8 --

This should be run on a release branch after branching from trunk.
Various links and references to trunk in the docs will be updated to
refer to the new release branch.

libstdc++-v3/ChangeLog:

	* scripts/update_release_branch.sh: New file.
---
 libstdc++-v3/scripts/update_release_branch.sh | 14 ++++++++++++++
 1 file changed, 14 insertions(+)
 create mode 100755 libstdc++-v3/scripts/update_release_branch.sh

diff --git a/libstdc++-v3/scripts/update_release_branch.sh b/libstdc++-v3/scripts/update_release_branch.sh
new file mode 100755
index 00000000000..f8109ed0ba3
--- /dev/null
+++ b/libstdc++-v3/scripts/update_release_branch.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+# This should be run on a release branch after branching from trunk.
+# Various links and references to trunk in the docs will be updated to
+# refer to the new release branch.
+
+# The major version of the new release branch.
+major=$1
+(($major)) || { echo "$0: Integer argument expected" >& 2 ; exit 1; }
+
+# This assumes GNU sed
+sed -i "s@^mainline GCC, not in any particular major.\$@the GCC ${major} series.@" doc/xml/manual/status_cxx*.xml
+sed -i 's@https://gcc.gnu.org/cgit/gcc/tree/libstdc++-v3/testsuite/[^"]\+@&?h=releases%2Fgcc-'${major}@ doc/xml/manual/allocator.xml doc/xml/manual/mt_allocator.xml
+sed -i "s@https://gcc.gnu.org/onlinedocs/gcc/Invoking-GCC.html@https://gcc.gnu.org/onlinedocs/gcc-${major}.1.0/gcc/Invoking-GCC.html@" doc/xml/manual/using.xml
-- 
2.45.2


^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [PATCH] libstdc++: Add script to update docs for a new release branch
  2024-06-25 23:02 [PATCH] libstdc++: Add script to update docs for a new release branch Jonathan Wakely
@ 2024-06-26 20:27 ` Jonathan Wakely
  2024-06-27  4:04   ` Eric Gallager
  0 siblings, 1 reply; 4+ messages in thread
From: Jonathan Wakely @ 2024-06-26 20:27 UTC (permalink / raw)
  To: libstdc++, gcc-patches

Pushed to trunk. We have nearly a year to make improvements to it
before it's needed for the gcc-15 branch ... I just hope I remember it
exists when we branch ;-)

On Wed, 26 Jun 2024 at 00:13, Jonathan Wakely <jwakely@redhat.com> wrote:
>
> This script automates some updates that should be made when branching
> from trunk. Putting them in a script makes it much easier and means I
> won't forget what should be done.
>
> Any suggestions for doing this differently?
>
> Anything I've forgotten that should be added here?
>
> We could add an entry to the lists of versions at
> https://gcc.gnu.org/onlinedocs/libstdc++/manual/abi.html#abi.versioning.goals
> but that should really be done when bumping the libtool version, not
> when branching from trunk.
>
> -- >8 --
>
> This should be run on a release branch after branching from trunk.
> Various links and references to trunk in the docs will be updated to
> refer to the new release branch.
>
> libstdc++-v3/ChangeLog:
>
>         * scripts/update_release_branch.sh: New file.
> ---
>  libstdc++-v3/scripts/update_release_branch.sh | 14 ++++++++++++++
>  1 file changed, 14 insertions(+)
>  create mode 100755 libstdc++-v3/scripts/update_release_branch.sh
>
> diff --git a/libstdc++-v3/scripts/update_release_branch.sh b/libstdc++-v3/scripts/update_release_branch.sh
> new file mode 100755
> index 00000000000..f8109ed0ba3
> --- /dev/null
> +++ b/libstdc++-v3/scripts/update_release_branch.sh
> @@ -0,0 +1,14 @@
> +#!/bin/bash
> +
> +# This should be run on a release branch after branching from trunk.
> +# Various links and references to trunk in the docs will be updated to
> +# refer to the new release branch.
> +
> +# The major version of the new release branch.
> +major=$1
> +(($major)) || { echo "$0: Integer argument expected" >& 2 ; exit 1; }
> +
> +# This assumes GNU sed
> +sed -i "s@^mainline GCC, not in any particular major.\$@the GCC ${major} series.@" doc/xml/manual/status_cxx*.xml
> +sed -i 's@https://gcc.gnu.org/cgit/gcc/tree/libstdc++-v3/testsuite/[^"]\+@&?h=releases%2Fgcc-'${major}@ doc/xml/manual/allocator.xml doc/xml/manual/mt_allocator.xml
> +sed -i "s@https://gcc.gnu.org/onlinedocs/gcc/Invoking-GCC.html@https://gcc.gnu.org/onlinedocs/gcc-${major}.1.0/gcc/Invoking-GCC.html@" doc/xml/manual/using.xml
> --
> 2.45.2
>


^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [PATCH] libstdc++: Add script to update docs for a new release branch
  2024-06-26 20:27 ` Jonathan Wakely
@ 2024-06-27  4:04   ` Eric Gallager
  2024-06-27  6:50     ` Jonathan Wakely
  0 siblings, 1 reply; 4+ messages in thread
From: Eric Gallager @ 2024-06-27  4:04 UTC (permalink / raw)
  To: Jonathan Wakely; +Cc: libstdc++, gcc-patches

On Wed, Jun 26, 2024 at 4:28 PM Jonathan Wakely <jwakely@redhat.com> wrote:
>
> Pushed to trunk. We have nearly a year to make improvements to it
> before it's needed for the gcc-15 branch ... I just hope I remember it
> exists when we branch ;-)

Maybe you could leave a note about it in the docs somewhere?

>
> On Wed, 26 Jun 2024 at 00:13, Jonathan Wakely <jwakely@redhat.com> wrote:
> >
> > This script automates some updates that should be made when branching
> > from trunk. Putting them in a script makes it much easier and means I
> > won't forget what should be done.
> >
> > Any suggestions for doing this differently?
> >
> > Anything I've forgotten that should be added here?
> >
> > We could add an entry to the lists of versions at
> > https://gcc.gnu.org/onlinedocs/libstdc++/manual/abi.html#abi.versioning.goals
> > but that should really be done when bumping the libtool version, not
> > when branching from trunk.
> >
> > -- >8 --
> >
> > This should be run on a release branch after branching from trunk.
> > Various links and references to trunk in the docs will be updated to
> > refer to the new release branch.
> >
> > libstdc++-v3/ChangeLog:
> >
> >         * scripts/update_release_branch.sh: New file.
> > ---
> >  libstdc++-v3/scripts/update_release_branch.sh | 14 ++++++++++++++
> >  1 file changed, 14 insertions(+)
> >  create mode 100755 libstdc++-v3/scripts/update_release_branch.sh
> >
> > diff --git a/libstdc++-v3/scripts/update_release_branch.sh b/libstdc++-v3/scripts/update_release_branch.sh
> > new file mode 100755
> > index 00000000000..f8109ed0ba3
> > --- /dev/null
> > +++ b/libstdc++-v3/scripts/update_release_branch.sh
> > @@ -0,0 +1,14 @@
> > +#!/bin/bash
> > +
> > +# This should be run on a release branch after branching from trunk.
> > +# Various links and references to trunk in the docs will be updated to
> > +# refer to the new release branch.
> > +
> > +# The major version of the new release branch.
> > +major=$1
> > +(($major)) || { echo "$0: Integer argument expected" >& 2 ; exit 1; }
> > +
> > +# This assumes GNU sed
> > +sed -i "s@^mainline GCC, not in any particular major.\$@the GCC ${major} series.@" doc/xml/manual/status_cxx*.xml
> > +sed -i 's@https://gcc.gnu.org/cgit/gcc/tree/libstdc++-v3/testsuite/[^"]\+@&?h=releases%2Fgcc-'${major}@ doc/xml/manual/allocator.xml doc/xml/manual/mt_allocator.xml
> > +sed -i "s@https://gcc.gnu.org/onlinedocs/gcc/Invoking-GCC.html@https://gcc.gnu.org/onlinedocs/gcc-${major}.1.0/gcc/Invoking-GCC.html@" doc/xml/manual/using.xml
> > --
> > 2.45.2
> >
>

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [PATCH] libstdc++: Add script to update docs for a new release branch
  2024-06-27  4:04   ` Eric Gallager
@ 2024-06-27  6:50     ` Jonathan Wakely
  0 siblings, 0 replies; 4+ messages in thread
From: Jonathan Wakely @ 2024-06-27  6:50 UTC (permalink / raw)
  To: Eric Gallager; +Cc: Jonathan Wakely, libstdc++, gcc-patches

[-- Attachment #1: Type: text/plain, Size: 3017 bytes --]

On Thu, 27 Jun 2024, 05:05 Eric Gallager, <egall@gwmail.gwu.edu> wrote:

> On Wed, Jun 26, 2024 at 4:28 PM Jonathan Wakely <jwakely@redhat.com>
> wrote:
> >
> > Pushed to trunk. We have nearly a year to make improvements to it
> > before it's needed for the gcc-15 branch ... I just hope I remember it
> > exists when we branch ;-)
>
> Maybe you could leave a note about it in the docs somewhere?
>

The release managers already have a note to poke the libstdc++ maintainer
when branching.



> >
> > On Wed, 26 Jun 2024 at 00:13, Jonathan Wakely <jwakely@redhat.com>
> wrote:
> > >
> > > This script automates some updates that should be made when branching
> > > from trunk. Putting them in a script makes it much easier and means I
> > > won't forget what should be done.
> > >
> > > Any suggestions for doing this differently?
> > >
> > > Anything I've forgotten that should be added here?
> > >
> > > We could add an entry to the lists of versions at
> > >
> https://gcc.gnu.org/onlinedocs/libstdc++/manual/abi.html#abi.versioning.goals
> > > but that should really be done when bumping the libtool version, not
> > > when branching from trunk.
> > >
> > > -- >8 --
> > >
> > > This should be run on a release branch after branching from trunk.
> > > Various links and references to trunk in the docs will be updated to
> > > refer to the new release branch.
> > >
> > > libstdc++-v3/ChangeLog:
> > >
> > >         * scripts/update_release_branch.sh: New file.
> > > ---
> > >  libstdc++-v3/scripts/update_release_branch.sh | 14 ++++++++++++++
> > >  1 file changed, 14 insertions(+)
> > >  create mode 100755 libstdc++-v3/scripts/update_release_branch.sh
> > >
> > > diff --git a/libstdc++-v3/scripts/update_release_branch.sh
> b/libstdc++-v3/scripts/update_release_branch.sh
> > > new file mode 100755
> > > index 00000000000..f8109ed0ba3
> > > --- /dev/null
> > > +++ b/libstdc++-v3/scripts/update_release_branch.sh
> > > @@ -0,0 +1,14 @@
> > > +#!/bin/bash
> > > +
> > > +# This should be run on a release branch after branching from trunk.
> > > +# Various links and references to trunk in the docs will be updated to
> > > +# refer to the new release branch.
> > > +
> > > +# The major version of the new release branch.
> > > +major=$1
> > > +(($major)) || { echo "$0: Integer argument expected" >& 2 ; exit 1; }
> > > +
> > > +# This assumes GNU sed
> > > +sed -i "s@^mainline GCC, not in any particular major.\$@the GCC
> ${major} series.@" doc/xml/manual/status_cxx*.xml
> > > +sed -i 's@https://gcc.gnu.org/cgit/gcc/tree/libstdc++-v3/testsuite/[
> <https://gcc.gnu.org/cgit/gcc/tree/libstdc++-v3/testsuite/%5B>
> ^"]\+@&?h=releases%2Fgcc-'${major}@ doc/xml/manual/allocator.xml
> doc/xml/manual/mt_allocator.xml
> > > +sed -i "s@
> https://gcc.gnu.org/onlinedocs/gcc/Invoking-GCC.html@https://gcc.gnu.org/onlinedocs/gcc-${major}.1.0/gcc/Invoking-GCC.html@"
> doc/xml/manual/using.xml
> > > --
> > > 2.45.2
> > >
> >
>

^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2024-06-27  6:50 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2024-06-25 23:02 [PATCH] libstdc++: Add script to update docs for a new release branch Jonathan Wakely
2024-06-26 20:27 ` Jonathan Wakely
2024-06-27  4:04   ` Eric Gallager
2024-06-27  6:50     ` Jonathan Wakely

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).